> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Appointment Definition Special Hour

> A `POST` to the `/appointment-definitions/{appointmentDefinitionId}/special-hours` endpoint allows your application to create a special hour for an appointment definition.



## OpenAPI

````yaml post /v3/appointment-definitions/{appointmentDefinition}/special-hours
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/appointment-definitions/{appointmentDefinition}/special-hours:
    post:
      tags:
        - Appointment Definition Special Hour
      summary: Add Appointment Definition Special Hour
      description: >-
        A `POST` to the
        `/appointment-definitions/{appointmentDefinitionId}/special-hours`
        endpoint allows your application to create a special hour for an
        appointment definition.
      operationId: appointment-definitions.special-hours.store
      parameters:
        - name: appointmentDefinition
          in: path
          required: true
          description: The appointment definition ID
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreAppointmentDefinitionSpecialHour'
      responses:
        '201':
          description: '`AppointmentDefinitionSpecialHour`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/AppointmentDefinitionSpecialHour'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreAppointmentDefinitionSpecialHour:
      type: object
      properties:
        name:
          type: string
          maxLength: 255
        is_repeating:
          type: boolean
        available_from:
          type:
            - string
            - 'null'
        available_until:
          type:
            - string
            - 'null'
        start_at:
          type: string
        end_at:
          type: string
      required:
        - name
        - start_at
        - end_at
      title: StoreAppointmentDefinitionSpecialHour
    AppointmentDefinitionSpecialHour:
      type: object
      properties:
        id:
          type: integer
        appointment_definition_id:
          type: integer
        name:
          type: string
        is_repeating:
          type: boolean
        available_from:
          type:
            - string
            - 'null'
        available_until:
          type:
            - string
            - 'null'
        start_at:
          type: string
        end_at:
          type: string
        is_closed:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - appointment_definition_id
        - name
        - is_repeating
        - available_from
        - available_until
        - start_at
        - end_at
        - is_closed
        - created_at
        - updated_at
      title: AppointmentDefinitionSpecialHour
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````